package com.sipai.jspatrol.Base;

import android.app.Activity;

import java.util.ArrayList;
import java.util.List;

/**
 * created by lvliming on 2020/3/23
 */
public class ActivityCollector {
    public static List<Activity> activities = new ArrayList<>();

    public static void addActivity(Activity activity){
        activities.add(activity);
    }

    public static void removeActivity(Activity activity){
        activities.remove(activity);
    }

    public static void finishAll(){
        for (Activity activity:activities){
            if (!activity.isFinishing()){
                activity.finish();
            }
        }
    }
}
